Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.naming
Class SchemeContext

    java.lang.Object
      |
      +--com.caucho.naming.AbstractContext
            |
            +--com.caucho.naming.SchemeContext

All Implemented Interfaces:
  javax.naming.Context

public class SchemeContext
extends AbstractContext

Context implementing the top-level scheme.

Fields inherited from class com.caucho.naming.AbstractContext
`dbg, env, L`

Fields inherited from interface javax.naming.Context
`APPLET, AUTHORITATIVE, BATCHSIZE, DNS_URL, INITIAL_CONTEXT_FACTORY, LANGUAGE, OBJECT_FACTORIES, PROVIDER_URL, REFERRAL, SECURITY_AUTHENTICATION, SECURITY_CREDENTIALS, SECURITY_PRINCIPAL, SECURITY_PROTOCOL, STATE_FACTORIES, URL_PKG_PREFIXES`

Constructor Summary
`SchemeContext()`
`SchemeContext(java.util.Hashtable env)`
`SchemeContext(java.util.Hashtable env, java.util.HashMap schemes, java.util.HashMap urlSchemes)` Creates a new top-level scheme context.

Method Summary
`java.lang.Object` | `clone()`
`void` | `close()`
`java.lang.String` | `composeName(java.lang.String prefix, java.lang.String suffix)`
`protected javax.naming.Context` | `createSingleSubcontext(java.lang.String name)`
`java.util.Iterator` | `listSingle()`
`java.lang.Object` | `lookup(javax.naming.Name name)` Looks up an object with the given parsed JNDI name.
`java.lang.Object` | `lookup(java.lang.String name)` Looks up an object using its full string name.
`protected java.lang.Object` | `lookupSingle(java.lang.String name)` Looks up the single top-level scheme.
`protected java.lang.String` | `parseFirst(java.lang.String name)`
`protected java.lang.String` | `parseRest(java.lang.String name)`
`protected void` | `rebindSingle(java.lang.String name, java.lang.Object obj)`
`protected void` | `unbindSingle(java.lang.String name)`

Methods inherited from class com.caucho.naming.AbstractContext
`addToEnvironment, bind, bind, composeName, createSubcontext, createSubcontext, destroySingleSubcontext, destroySubcontext, destroySubcontext, getEnvironment, getFullPath, getNameInNamespace, getNameParser, getNameParser, list, list, listBindings, listBindings, lookupLink, lookupLink, rebind, rebind, removeFromEnvironment, rename, rename, unbind, unbind`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemeContext

    public SchemeContext(java.util.Hashtable env,
                         java.util.HashMap schemes,
                         java.util.HashMap urlSchemes)

  Creates a new top-level scheme context.
  Parameters:
    `env` - the JNDI environment.
    `schemes` - the initial hash map of schemes.

### SchemeContext

    public SchemeContext(java.util.Hashtable env)

### SchemeContext

    public SchemeContext()

Method Detail

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### lookup

    public java.lang.Object lookup(java.lang.String name)
                            throws javax.naming.NamingException

  Looks up an object using its full string name. The path is searched recursively. `parseFirst` returns the first segment. The
  Overrides:
    `lookup` in class `AbstractContext`

### lookup

    public java.lang.Object lookup(javax.naming.Name name)
                            throws javax.naming.NamingException

  Looks up an object with the given parsed JNDI name.
  Overrides:
    `lookup` in class `AbstractContext`

### lookupSingle

    protected java.lang.Object lookupSingle(java.lang.String name)
                                     throws javax.naming.NamingException

  Looks up the single top-level scheme.
  Overrides:
    `lookupSingle` in class `AbstractContext`
  Following copied from class: `com.caucho.naming.AbstractContext`
  Parameters:
    `name` - the name segment.
  Returns:
    the object bound to the context.

### rebindSingle

    protected void rebindSingle(java.lang.String name,
                                java.lang.Object obj)
                         throws javax.naming.NamingException

  Overrides:
    `rebindSingle` in class `AbstractContext`

### unbindSingle

    protected void unbindSingle(java.lang.String name)
                         throws javax.naming.NamingException

  Overrides:
    `unbindSingle` in class `AbstractContext`

### createSingleSubcontext

    protected javax.naming.Context createSingleSubcontext(java.lang.String name)

  Overrides:
    `createSingleSubcontext` in class `AbstractContext`

### listSingle

    public java.util.Iterator listSingle()

  Overrides:
    `listSingle` in class `AbstractContext`

### composeName

    public java.lang.String composeName(java.lang.String prefix,
                                        java.lang.String suffix)
                                 throws javax.naming.NamingException

  Overrides:
    `composeName` in class `AbstractContext`

### close

    public void close()
               throws javax.naming.NamingException

  Overrides:
    `close` in class `AbstractContext`

### parseFirst

    protected java.lang.String parseFirst(java.lang.String name)
                                   throws javax.naming.NamingException

  Overrides:
    `parseFirst` in class `AbstractContext`

### parseRest

    protected java.lang.String parseRest(java.lang.String name)
                                  throws javax.naming.NamingException

  Overrides:
    `parseRest` in class `AbstractContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD